
%{?!python_module:%define python_module() python3-%{**}}
%define skip_python2 1
Name:           python-opt-einsum
Version:        3.3.0
Release:        1%{?dist}
Summary:        Optimizing numpys einsum function
License:        MIT
URL:            https://github.com/dgasmith/opt_einsum
Source:         https://files.pythonhosted.org/packages/source/o/opt_einsum/opt_einsum-%{version}.tar.gz
BuildRequires:  %{python_module numpy >= 1.7}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
Requires:       %{python_module numpy >= 1.7}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%description
Optimized einsum can significantly reduce the overall execution time of einsum-like expressions (e.g.,
`np.einsum`,`dask.array.einsum`,`pytorch.einsum`,`tensorflow.einsum`)
by optimizing the expression's contraction order and dispatching many
operations to canonical BLAS, cuBLAS, or other specialized routines. Optimized
einsum is agnostic to the backend and can handle NumPy, Dask, PyTorch,
Tensorflow, CuPy, Sparse, Theano, JAX, and Autograd arrays as well as potentially
any library which conforms to a standard API. See the
[**documentation**](http://optimized-einsum.readthedocs.io) for more
information.

%package -n python3-opt-einsum
Summary: %{summary}

%description -n python3-opt-einsum
Optimized einsum can significantly reduce the overall execution time of einsum-like expressions (e.g.,
`np.einsum`,`dask.array.einsum`,`pytorch.einsum`,`tensorflow.einsum`)
by optimizing the expression's contraction order and dispatching many
operations to canonical BLAS, cuBLAS, or other specialized routines. Optimized
einsum is agnostic to the backend and can handle NumPy, Dask, PyTorch,
Tensorflow, CuPy, Sparse, Theano, JAX, and Autograd arrays as well as potentially
any library which conforms to a standard API. See the
[**documentation**](http://optimized-einsum.readthedocs.io) for more
information.

%prep
%setup -q -n opt_einsum-%{version}

%build
%py3_build

%install
%py3_install
%fdupes %{buildroot}%{python3_sitelib}

%check
py.test-3

%files -n python3-opt-einsum
%doc README.md
%license LICENSE
%{python3_sitelib}/*

%changelog
* Tue Jul 13 2021 Weitao Zhou <yunqi.zwt@alibaba-inc.com> 3.3.0-1.1
- Rebuild for Anolis OS
- Update to 3.3.0
